<?php

/*

Plugin Name: UK Welcome Header

Plugin URI: http://www.thedyers.org.uk/nigel/wordpress-plugins/british-welcome/

Description: An improved welcome text
Version: 0.1

Author URI: http://thedyers.org.uk/

*/

//	Customises the welcome text, getting rid of the annoying howdy

add_action( 'admin_bar_menu', 'wp_admin_bar_my_custom_account_menu', 11 );

function wp_admin_bar_my_custom_account_menu( $wp_admin_bar ) {
$user_id = get_current_user_id();
$current_user = wp_get_current_user();
$profile_url = get_edit_profile_url( $user_id );

if ( 0 != $user_id ) {

	$hour = date('G', current_time('timestamp'));
	if ($hour >= 19)
		$welcome = 'Good evening %1s';
	else if ($hour >= 12)
		$welcome = 'Good afternoon %1s';
	else if ($hour >= 5)
		$welcome = 'Good morning %1s';
	else
		$welcome = 'Good night %1s';

// Add the "My Account" menu 
	$howdy = sprintf( __($welcome), $current_user->display_name );
	$class = '';

	$wp_admin_bar->add_menu( array(
		'id' => 'my-account',
		'parent' => 'top-secondary',
		'title' => $howdy,
		'href' => $profile_url,
		'meta' => array(
			'class' => $class,
			),
		) );
	}

}

?>